libffi4-gcc48-32bit-4.8.5-18.1.x86_64.rpm


Advertisement

Description

libffi4-gcc48-32bit - Foreign Function Interface library

Distribution: openSUSE 42.1
Repository: openSUSE Update Oss all
Package name: libffi4-gcc48-32bit
Package version: 4.8.5
Package release: 18.1
Package architecture: x86_64
Package type: rpm
Installed size: 25.51 KB
Download size: 26.82 KB
Official Mirror: ftp.gwdg.de
A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language.

Requires

Provides

  • libffi.so.4
  • libffi4-32bit = 4.8.5-18.1
  • libffi4-gcc48-32bit = 4.8.5-18.1
  • libffi4-gcc48-32bit(x86-64) = 4.8.5-18.1

Conflicts

  • libffi4-32bit

    Install Howto

    Install libffi4-gcc48-32bit rpm package:

    # zypper install libffi4-gcc48-32bit

    Files

    • /usr/lib/libffi.so.4
    • /usr/lib/libffi.so.4.0.1

    Changelog

    2015-10-06 - rguenther@suse.com - Add gcc48-ppc-bnc949000.patch to fix build of SLOF. [bnc#949000] - Add gcc48-bnc945842.patch to fix C++11 std::random_device short reads, CVE-2015-5276. [bnc#945842]

    2015-09-30 - rguenther@suse.com - Add gcc48-aarch64-bsc948168.patch to fix libffi issues on aarch64. [bsc#948168]

    2015-09-29 - rguenther@suse.com - Add gcc48-bnc947791.patch to fix no_instrument_function attribute handling on PPC64 with -mprofile-kernel. [bsc#947791]

    2015-09-28 - dmueller@suse.com - add gcc48-aarch64-pr60010.patch, gcc48-aarch64-pr61997.patch [bsc#947772]

    2015-07-14 - rguenther@suse.com - Enable 32bit code generation for ppc64le but do not build 32bit target libraries. Fixes ppc64le kernel compile.

    2015-06-23 - rguenther@suse.com - Update to GCC 4.8.5 release. * Fixes bogus integer overflow in constant expression. [bnc#934689] * Fixes ICE with atomics on aarch64. [bnc#930176] * Includes fix for -imacros bug. [bnc#917169] * Includes fix for incorrect -Warray-bounds warnings. [bnc#919274] * Includes updated -mhotpatch for s390x. [bnc#924525] * Includes fix for ppc64le issue with doubleword vector extract. [bnc#924687] * Includes patches to allow building against ISL 0.14. * Includes patches gcc48-bnc887141.patch, gcc48-ppc64le-abi-warnings.diff, gcc48-ppc64le-abi-warnings-fix.diff and gcc48-libgfortran-CVE-2014-5044.diff. - Fix build against SLE11 SP4. [fate#317926] * Build without GRAPHITE support where isl and cloog-isl are not available. * Where mpfr 2.4.0 is not available disable the few features requiring it to allow building with mpfr 2.3.2, gcc48-remove-mpfr-2.4.0-requirement.patch. * Disable Ada build for ppc64. * Build s390[x] with --with-tune=z9-109 --with-arch=z900 on SLE11 again. [bnc#927993] - add aarch64-vmlaq-lane-s32.diff - Add gcc48-bnc889990.patch to backport rework of the memory allocator for C++ exceptions used in OOM situations. [bnc#889990] - Add patch gcc48-pr66306.patch for reload issue on S390. - Add patch gcc48-bnc922534.patch to avoid accessing invalid memory when passing aggregates by value. [bnc#922534]

    2014-11-03 - matz@suse.com - Add patch gcc48-s390x-keep-leaf-when-profiled.diff for kgraft. [bnc #899871]

    2014-08-01 - rguenther@suse.com - Add patch gcc48-libgfortran-CVE-2014-5044.diff to fix integer overflows in libgfortran, CVE-2014-5044. [bnc#888791]

    2014-07-28 - rguenther@suse.com - Add patch gcc48-ppc64le-abi-warnings-fix.diff to fix failure to link any Objective-C/C++ program on ppc64le. [ggo#61920]

    2014-07-25 - rguenther@suse.com - Add patch gcc48-ppc64le-abi-warnings.diff to warn about future ABI changes for ppc64le. [bnc#888907]

    Advertisement
    Advertisement